local assets=
{
    Asset("ANIM", "anim/frost_hammer.zip"),
    Asset("ANIM", "anim/swap_frost_hammer.zip"),
  
    Asset("ATLAS", "images/inventoryimages/frost_hammer.xml"), 
    Asset("IMAGE", "images/inventoryimages/frost_hammer.tex"),
}

    local function onequip(inst, owner)
        owner.AnimState:OverrideSymbol("swap_object", "swap_frost_hammer", "swap_frost_hammer")
        owner.AnimState:Show("ARM_carry") 
        owner.AnimState:Hide("ARM_normal") 

    end

    local function onunequip(inst, owner) 
        owner.AnimState:Hide("ARM_carry") 
        owner.AnimState:Show("ARM_normal") 
    end

local function fn()
    local inst = CreateEntity()
    local trans = inst.entity:AddTransform()
    local anim = inst.entity:AddAnimState()

    MakeInventoryPhysics(inst)

    inst.AnimState:SetBank("frost_hammer")
    inst.AnimState:SetBuild("frost_hammer")
    inst.AnimState:PlayAnimation("idle")

    inst:AddComponent("inspectable")
    
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.atlasname = "images/inventoryimages/frost_hammer.xml"

    inst:AddComponent("equippable")
    inst.components.equippable:SetOnEquip( onequip )
    inst.components.equippable:SetOnUnequip( onunequip )

    inst:AddComponent("tool")
--    inst.components.tool:SetAction(ACTIONS.CHOP)
--    inst.components.tool:SetAction(ACTIONS.MINE)
    inst.components.tool:SetAction(ACTIONS.HAMMER)
--    inst.components.tool:SetAction(ACTIONS.DIG)
--    inst.components.tool:SetAction(ACTIONS.HACK)


    inst:AddTag("sharp")

    inst:AddComponent("weapon")
    inst.components.weapon:SetDamage(FROST_HAMMER_HIT)

   inst:AddComponent("finiteuses")
   inst.components.finiteuses:SetMaxUses(120)
   inst.components.finiteuses:SetUses(120)
   inst.components.finiteuses:SetOnFinished(inst.Remove)


local function onattack(inst, owner, target)
   
    if target.components.freezable then
        target.components.freezable:AddColdness(1)
    end
end


--inst:ListenForEvent("onattacker",onattack)
    inst.components.weapon:SetOnAttack(onattack)

    return inst
end
    

return Prefab( "common/inventory/frost_hammer", fn, assets) 
